Can't launch snaps

Bug #1564076 reported by Robert Ancell on 2016-03-30
36
This bug affects 5 people
Affects Status Importance Assigned to Milestone
gnome-software (Ubuntu)
High
Robert Ancell
Xenial
High
Unassigned
Yakkety
High
Robert Ancell
snapd (Ubuntu)
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned

Bug Description

[Impact]
No method of launching snaps from GNOME Software.

[Test Case]
1. Open GNOME Software
2. Search for a snap (e.g. "moon-buggy")
3. Click on snap description
4. Click install

Expected result:
Snap is installed and launch button is shown (as for .deb apps)

Observed result:
Snap is installed; no launch button shown.

[Regression potential]
Low. We now take advantage of new snapd API to make snaps launchable.

David Planella (dpm) on 2016-03-31
tags: added: gnome-software sdoc
David Planella (dpm) on 2016-04-13
information type: Private → Public
Michael Vogt (mvo) on 2016-04-20
Changed in snappy:
status: New → Triaged
importance: Undecided → Wishlist
Will Cooke (willcooke) on 2016-04-25
tags: added: trello-import
Will Cooke (willcooke) on 2016-04-25
tags: removed: trello-import

Hello Robert, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.0.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Jeremy Bicha (jbicha) on 2016-06-16
Changed in snapd (Ubuntu):
status: New → Fix Committed
Changed in snapd (Ubuntu):
importance: Undecided → High
Michael Vogt (mvo) wrote :

Fwiw, the snapd part of this bug (that is now in fix-commited state) is just a prerequisite for gnome-software to implement this feature. So just to be clear. The snapd change does not add the button but with the snapd change now gnome-software has all the information to add the button.

Changed in gnome-software (Ubuntu):
assignee: nobody → Robert Ancell (robert-ancell)
Robert Ancell (robert-ancell) wrote :

I've opened bug 1595023 for the next step - determining which apps a graphical and which are terminal.

Changed in gnome-software (Ubuntu):
status: Triaged → Fix Committed
Michael Vogt (mvo) wrote :

Setting to verification-done (for snapd) based on the feedback from Robert that he can use it in gnome-software now.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.0.9

---------------
snapd (2.0.9) xenial; urgency=medium

  * New upstream release: LP: #1593201
    - snap: add the magic redirect part of `snap run`
    - tests, integration-tests: port server related tests to spread
    - overlord/snapstate: log restarting in the task
    - daemon: test restart wiring, fix setup/teardown
    - cmd: don't show the price if a snap has already been purchased
    - tests, integration-tests: port listing tests to spread
    - integration-tests: do not try to kill ubuntu-clock-app.clock (no
      longer a process)
    - several: tie up overlord's restart handler into daemon; adjust
      snap to cope
    - tests, integration-tests: port abort tests to spread
    - integration-tests: fix flaky TestRemoveBusyRetries
    - testutils: refactor/mock exec
    - snap,cmd: add hook support to snap run.
    - overlord/snapstate: remove Download from backend
    - store: use a custom logging transport
    - overlord/hookstate: implement basic HookManager.
    - spread: move the suite restore to restore-each
    - asserts: turn model os into model core field, making it also more
      like the kernel and gadget fields
    - asserts: / is not allowed in primary key headers, follow the store
      in this
    - release: enable full confinement on Elementary 0.4
    - integration-tests: fix another i386 autopkgtest failure.
    - cmd/snap: create SNAP_USER_DATA and common dirs in `snap run`
    - many: have the installation of the core snap request a restart (on
      classic)
    - asserts: allow to load also account assertions into the trusted
      set
    - many: install snaps in devmode on distributions without complete
      apparmor and seccomp support
    - spread: run on travis
    - snapenv: do not hardcode amd64 in tests
    - spread: initial harness and first test
    - interfaces: miscelleneous policy updates for chromium, x86,
      opengl, etc
    - integration-tests: remove daemon to use the log-observe interface
    - client: remove client.Revision and import snap.Revision instead
    - integration-tests: wait for network-bind service in try test
    - many: move over from snappy to snapstate/backend SetupSnap and
      related code
    - integration-tests: add interfaces cli tests
    - snapenv: cleanup snapenv.{Basic,User}
    - cmd/snap: also print slots that connect to the wanted snap (LP:
      #1590704)
    - asserts: error style, use "cannot" instead of "failed to"
      following the main decided style
    - integration-tests: wait until the network-bind service is up
      before testing
    - many: add new `snap run` command
    - snappy: unexport snappy.Install and snappy.Overlord.{Un,}Install
    - many: add some shared testing helpers to snap/snaptest and to
      boot/boottest
    - rest-api: support to send apps per snap (LP: #1564076)

 -- Michael Vogt <email address hidden> Thu, 16 Jun 2016 13:56:12 +0200

Changed in snapd (Ubuntu):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for snapd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in gnome-software (Ubuntu):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
description: updated
Changed in snapd (Ubuntu Xenial):
status: New → Fix Released
importance: Undecided → High
no longer affects: snappy
Changed in gnome-software (Ubuntu Xenial):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.20.1+git20160923.2.7374bdc-0ubuntu1

---------------
gnome-software (3.20.1+git20160923.2.7374bdc-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Fix crash on 32 bit arch live images (LP: #1571729)
  * debian/README.source: Update branch name (wip/ubuntu-xenial -> wip/ubuntu).

gnome-software (3.20.1+git20160923.1.0c571f1-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Fix failure refining first snap doesn't affect other snaps (LP: #1626803)
    - Support snap launching (LP: #1564076)
    - Don't prompt user to upgrade held packages (LP: #1573061)
    - Use /v2/find API instead of obsolete /v2/snaps API for searching (LP: #1596378)
    - Download changelog information on demand (LP: #1574666)

 -- Iain Lane <email address hidden> Fri, 23 Sep 2016 18:21:37 +0100

Changed in gnome-software (Ubuntu Yakkety):
status: Fix Committed → Fix Released

Hello Robert, or anyone else affected,

Accepted gnome-software into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-software/3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-software (Ubuntu Xenial):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Robert Ancell (robert-ancell) wrote :

Works in xenial

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1

---------------
gnome-software (3.20.1+git20160923.2.7374bdc-0ubuntu1~xenial1) xenial; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Fix crash on 32 bit arch live images (LP: #1571729)
  * debian/README.source: Update branch name (wip/ubuntu-xenial -> wip/ubuntu).

gnome-software (3.20.1+git20160923.1.0c571f1-0ubuntu1~xenial1) xenial; urgency=medium

  * New upstream snapshot from the wip/ubuntu branch at
    git://git.gnome.org/gnome-software.
    - Fix failure refining first snap doesn't affect other snaps (LP: #1626803)
    - Support snap launching (LP: #1564076)
    - Don't prompt user to upgrade held packages (LP: #1573061)
    - Use /v2/find API instead of obsolete /v2/snaps API for searching (LP: #1596378)
    - Download changelog information on demand (LP: #1574666)
  * debian/control:
    - Depend on aptdaemon

 -- Iain Lane <email address hidden> Fri, 23 Sep 2016 18:28:31 +0100

Changed in gnome-software (Ubuntu Xenial):
status: Fix Committed → Fix Released
David Knag (davidknag) wrote :

I'm getting this in yakkety. Can't install snap packages through GUI.
:~$ gnome-shell --version
GNOME Shell 3.20.4

David Knag (davidknag) wrote :

Solution:
sudo snap login

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers